InvertedColorTheme (JGoodies Looks 2.6 API)
Date: 2014-02-27

com.jgoodies.looks.plastic.theme

## Class InvertedColorTheme

- java.lang.Object
- - javax.swing.plaf.metal.MetalTheme
  - - javax.swing.plaf.metal.DefaultMetalTheme
    - - com.jgoodies.looks.plastic.PlasticTheme
      - - com.jgoodies.looks.plastic.theme.InvertedColorTheme

- Direct Known Subclasses:
    BrownSugar, DarkStar

      public abstract class InvertedColorTheme
      extends PlasticTheme

  The abstract superclass of all inverted Plastic themes, that have light foreground and dark window background colors.
  Version:
    $Revision: 1.9 $
  Author:
    Karsten Lentzsch

- - ### Field Summary

    - ### Fields inherited from class com.jgoodies.looks.plastic.PlasticTheme

      `BLACK, BRIGHTEN_START, BRIGHTEN_STOP, DARKEN_START, DARKEN_STOP, LT_BRIGHTEN_STOP, LT_DARKEN_STOP, WHITE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `InvertedColorTheme()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addCustomEntriesToTable(UIDefaults table)`
    `ColorUIResource` | `getControlDisabled()`
    `ColorUIResource` | `getControlHighlight()`
    `ColorUIResource` | `getControlInfo()`
    `ColorUIResource` | `getFocusColor()`
    `ColorUIResource` | `getInactiveSystemTextColor()`
    `ColorUIResource` | `getMenuDisabledForeground()`
    `ColorUIResource` | `getMenuItemSelectedBackground()`
    `ColorUIResource` | `getMenuItemSelectedForeground()`
    `ColorUIResource` | `getMenuSelectedBackground()`
    `ColorUIResource` | `getMenuSelectedForeground()`
    `protected ColorUIResource` | `getPrimary1()`
    `protected ColorUIResource` | `getPrimary2()`
    `protected ColorUIResource` | `getPrimary3()`
    `ColorUIResource` | `getPrimaryControlHighlight()`
    `protected ColorUIResource` | `getSecondary1()`
    `protected ColorUIResource` | `getSecondary2()`
    `protected ColorUIResource` | `getSecondary3()`
    `ColorUIResource` | `getSeparatorBackground()`
    `ColorUIResource` | `getSimpleInternalFrameBackground()`
    `protected ColorUIResource` | `getSoftWhite()`
    `ColorUIResource` | `getTitleTextColor()`
    `ColorUIResource` | `getToggleButtonCheckColor()`

    - ### Methods inherited from class com.jgoodies.looks.plastic.PlasticTheme

      `equals, getBlack, getControlTextFont, getFontSet, getMenuForeground, getMenuItemBackground, getMenuTextFont, getSimpleInternalFrameForeground, getSubTextFont, getSystemTextColor, getSystemTextFont, getTitleTextFont, getUserTextFont, getWhite, getWindowTitleFont, hashCode`

    - ### Methods inherited from class javax.swing.plaf.metal.DefaultMetalTheme

      `getName`

    - ### Methods inherited from class javax.swing.plaf.metal.MetalTheme

      `getAcceleratorForeground, getAcceleratorSelectedForeground, getControl, getControlDarkShadow, getControlShadow, getControlTextColor, getDesktopColor, getHighlightedTextColor, getInactiveControlTextColor, getMenuBackground, getPrimaryControl, getPrimaryControlDarkShadow, getPrimaryControlInfo, getPrimaryControlShadow, getSeparatorForeground, getTextHighlightColor, getUserTextColor, getWindowBackground, getWindowTitleBackground, getWindowTitleForeground, getWindowTitleInactiveBackground, getWindowTitleInactiveForeground`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### InvertedColorTheme

          public InvertedColorTheme()

  - ### Method Detail

    - #### getSimpleInternalFrameBackground

          public ColorUIResource getSimpleInternalFrameBackground()

      Overrides:
        `getSimpleInternalFrameBackground` in class `PlasticTheme`

    - #### addCustomEntriesToTable

          public void addCustomEntriesToTable(UIDefaults table)

      Overrides:
        `addCustomEntriesToTable` in class `MetalTheme`

    - #### getControlDisabled

          public ColorUIResource getControlDisabled()

      Overrides:
        `getControlDisabled` in class `MetalTheme`

    - #### getControlHighlight

          public ColorUIResource getControlHighlight()

      Overrides:
        `getControlHighlight` in class `MetalTheme`

    - #### getControlInfo

          public ColorUIResource getControlInfo()

      Overrides:
        `getControlInfo` in class `MetalTheme`

    - #### getInactiveSystemTextColor

          public ColorUIResource getInactiveSystemTextColor()

      Overrides:
        `getInactiveSystemTextColor` in class `MetalTheme`

    - #### getMenuDisabledForeground

          public ColorUIResource getMenuDisabledForeground()

      Overrides:
        `getMenuDisabledForeground` in class `MetalTheme`

    - #### getMenuItemSelectedBackground

          public ColorUIResource getMenuItemSelectedBackground()

      Overrides:
        `getMenuItemSelectedBackground` in class `PlasticTheme`

    - #### getMenuItemSelectedForeground

          public ColorUIResource getMenuItemSelectedForeground()

      Overrides:
        `getMenuItemSelectedForeground` in class `PlasticTheme`

    - #### getMenuSelectedBackground

          public ColorUIResource getMenuSelectedBackground()

      Overrides:
        `getMenuSelectedBackground` in class `MetalTheme`

    - #### getMenuSelectedForeground

          public ColorUIResource getMenuSelectedForeground()

      Overrides:
        `getMenuSelectedForeground` in class `MetalTheme`

    - #### getPrimary1

          protected ColorUIResource getPrimary1()

      Overrides:
        `getPrimary1` in class `DefaultMetalTheme`

    - #### getPrimary2

          protected ColorUIResource getPrimary2()

      Overrides:
        `getPrimary2` in class `DefaultMetalTheme`

    - #### getPrimary3

          protected ColorUIResource getPrimary3()

      Overrides:
        `getPrimary3` in class `DefaultMetalTheme`

    - #### getPrimaryControlHighlight

          public ColorUIResource getPrimaryControlHighlight()

      Overrides:
        `getPrimaryControlHighlight` in class `MetalTheme`

    - #### getSecondary1

          protected ColorUIResource getSecondary1()

      Overrides:
        `getSecondary1` in class `DefaultMetalTheme`

    - #### getSecondary2

          protected ColorUIResource getSecondary2()

      Overrides:
        `getSecondary2` in class `DefaultMetalTheme`

    - #### getSecondary3

          protected ColorUIResource getSecondary3()

      Overrides:
        `getSecondary3` in class `DefaultMetalTheme`

    - #### getSeparatorBackground

          public ColorUIResource getSeparatorBackground()

      Overrides:
        `getSeparatorBackground` in class `MetalTheme`

    - #### getSoftWhite

          protected ColorUIResource getSoftWhite()

    - #### getTitleTextColor

          public ColorUIResource getTitleTextColor()

      Overrides:
        `getTitleTextColor` in class `PlasticTheme`

    - #### getToggleButtonCheckColor

          public ColorUIResource getToggleButtonCheckColor()

      Overrides:
        `getToggleButtonCheckColor` in class `PlasticTheme`

    - #### getFocusColor

          public ColorUIResource getFocusColor()

      Overrides:
        `getFocusColor` in class `MetalTheme`

Copyright © 2001-2014 JGoodies Software GmbH. All Rights Reserved.